Crosswalk a code to target code systems

POST/construe/codes/crosswalk
RequiresBearerauthentication

Body parameters

systemstringrequired
codestringrequired
targetsstring[]required
Returns  

Response fields

systemstringrequired
codestringrequired
reason_codestringoptional
targetsobject[]required
systemstringrequired
reason_codestringoptional
matchesobject[]required
codestringrequired
displaystringrequired
cuistringrequired
suppressstringoptional
POSTRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X POST "https://experiment.app.pheno.ml/construe/codes/crosswalk" \
  -H "Authorization: Bearer $PHENOML_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "system": "http://hl7.org/fhir/sid/icd-10-cm",
  "code": "A02.24",
  "targets": [
    "http://human-phenotype-ontology.org"
  ]
}'
200 OKExample Response
{
  "resolved_umls_release": "2026AA",
  "system": "http://hl7.org/fhir/sid/icd-10-cm",
  "code": "A02.24",
  "targets": [
    {
      "system": "http://human-phenotype-ontology.org",
      "matches": [
        {
          "code": "HP:0005661",
          "display": "Salmonella infection",
          "cui": "C0036111"
        }
      ]
    }
  ]
}